commit:     f4ec8662ee2d57707b44033e75155ddf3d461083
Author:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
AuthorDate: Wed Sep  1 20:10:46 2021 +0000
Commit:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
CommitDate: Wed Sep  1 20:27:54 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f4ec8662

net-im/prosody-modules: bump to newest snapshot

Package-Manager: Portage-3.0.22, Repoman-3.0.3
Signed-off-by: Conrad Kostecki <conikost <AT> gentoo.org>

 net-im/prosody-modules/Manifest                    |  1 +
 .../prosody-modules-0_pre20210901.ebuild           | 55 ++++++++++++++++++++++
 2 files changed, 56 insertions(+)

diff --git a/net-im/prosody-modules/Manifest b/net-im/prosody-modules/Manifest
index 157f4cacbad..d1e96aa96b6 100644
--- a/net-im/prosody-modules/Manifest
+++ b/net-im/prosody-modules/Manifest
@@ -1 +1,2 @@
 DIST prosody-modules-0_pre20210515.tar.xz 1196276 BLAKE2B 
66e9dddeba1e139b16ecc1ea0b786a85cb9181e0bfa0123a9c9ce99f1aa64cc12ba92ffa6b83d63cbc0f45962a13ac8ec508030d99c5e58d645c708a1078dab3
 SHA512 
1cd48cfa66e72de843db2a593a524636aaa0f36cb5b848e19238d4c2951525882fb30a354e503d71e0fb4b6c8efe0aa09acc16285ac3357d4c8d353a2f48b120
+DIST prosody-modules-0_pre20210901.tar.xz 1205504 BLAKE2B 
10959ffdecd107593777398ee1019f77bae3bb28a829b3f5a974c6715607904e79ce01020ac76585b35115a7cd97f400575c8ed20e9ca333bfdb3e83b6005554
 SHA512 
f27d7372c4e95d3a942c16ebcd00392d3faeaea525a8c18ff5da293a5be3493730200de008d249cb946fbe8c15039934b35278e30bda018c942c1d38faa3fd29

diff --git a/net-im/prosody-modules/prosody-modules-0_pre20210901.ebuild 
b/net-im/prosody-modules/prosody-modules-0_pre20210901.ebuild
new file mode 100644
index 00000000000..ff13c951991
--- /dev/null
+++ b/net-im/prosody-modules/prosody-modules-0_pre20210901.ebuild
@@ -0,0 +1,55 @@
+# Copyright 2020-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit savedconfig
+
+DESCRIPTION="A collection of community-maintained modules for Prosody"
+HOMEPAGE="https://modules.prosody.im";
+SRC_URI="https://dev.gentoo.org/~conikost/distfiles/${P}.tar.xz";
+S="${WORKDIR}/${PN}"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+RDEPEND="net-im/prosody"
+
+src_prepare() {
+       default
+
+       # Exclude 'misc' folder from install, since it does not provide any 
modules.
+       echo "# Remove all modules from this list, which you don't want to 
install." > prosody-modules.conf || die
+       find * -maxdepth 0 -type d ! -name misc >> prosody-modules.conf || die
+
+       use savedconfig && restore_config prosody-modules.conf
+}
+
+src_install() {
+       insinto "/usr/$(get_libdir)/prosody/community-modules"
+       while read prosody_module; do
+               if ! [[ "${prosody_module}" = \#* ]]; then
+                       if [[ -f "${prosody_module}/README.markdown" ]]; then
+                               newdoc "${prosody_module}/README.markdown" 
"README.${prosody_module}"
+                               rm "${prosody_module}/README.markdown" || die
+                       fi
+
+                       doins -r "${prosody_module}"
+               fi
+       done <prosody-modules.conf
+
+       save_config prosody-modules.conf
+
+       einstalldocs
+}
+
+pkg_postinst() {
+       savedconfig_pkg_postinst
+
+       einfo "In order to use the community modules on an existing instance, 
you have to add"
+       einfo "'/usr/$(get_libdir)/prosody/community-modules' into 
'plugin_paths'"
+       einfo "into your prosody configuration file 
'/etc/jabber/prosody.cfg.lua.'"
+       einfo ""
+       einfo "Example: plugin_paths = { 
/usr/$(get_libdir)/prosody/community-modules };"
+}

Reply via email to